Bug 1272030 - Remove lock recovery logic from client and server protocol translators
Remove lock recovery logic from client and server protocol translators
Status: POST
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
All All
medium Severity medium
: ---
: ---
Assigned To: Anoop C S
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 06:15 EDT by Anoop C S
Modified: 2017-07-28 06:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anoop C S 2015-10-15 06:15:48 EDT
Description of problem:
Remove lock replay/recovery logic related code from both client and server protocols. Plan is to implement the same with some modifications from AFR level which has a better view of server side.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2015-10-15 06:18:34 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 2 Vijay Bellur 2015-10-15 08:30:09 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 3 Vijay Bellur 2015-10-17 06:33:25 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#3) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 4 Vijay Bellur 2015-10-17 12:50:19 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#4) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 5 Vijay Bellur 2015-10-17 12:58:15 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#5) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 6 Vijay Bellur 2015-10-19 00:47:08 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#6) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 7 Vijay Bellur 2016-02-05 00:47:33 EST
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server[WIP]) posted (#7) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 8 Vijay Bellur 2016-03-09 00:36:10 EST
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#8) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 9 Vijay Bellur 2016-03-19 01:04:01 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#9) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 10 Mike McCune 2016-03-28 18:15:42 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 11 Vijay Bellur 2016-06-15 12:55:27 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#10) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 12 Worker Ant 2016-09-08 01:37:15 EDT
REVIEW: http://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#11) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 14 Worker Ant 2017-02-11 01:07:41 EST
REVIEW: https://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#12) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 15 Worker Ant 2017-02-11 01:25:59 EST
REVIEW: https://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#13) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 16 Worker Ant 2017-02-13 10:49:05 EST
REVIEW: https://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#14) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 17 Worker Ant 2017-02-14 01:44:56 EST
REVIEW: https://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#15) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 18 Worker Ant 2017-07-28 06:25:25 EDT
REVIEW: https://review.gluster.org/12363 (protocol: Remove lock recovery logic from client and server) posted (#16) for review on master by Anoop C S (anoopcs@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.